summaryrefslogtreecommitdiffstats
path: root/desktop/bashrun
diff options
context:
space:
mode:
author Mikko Varri <vmj@linuxbox.fi>2010-03-03 14:14:38 -0600
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 13:22:57 +0200
commit370cc0ba10fd2b686fa123a621ef076d120b8ebb (patch)
tree660edbf6d43decf832d4e94ff9f7616e3557f888 /desktop/bashrun
parentd8d9ab59b74014bddcb0ca1738cfa1cf401484ac (diff)
downloadslackbuilds-370cc0ba10fd2b686fa123a621ef076d120b8ebb.tar.gz
slackbuilds-370cc0ba10fd2b686fa123a621ef076d120b8ebb.tar.xz
desktop/bashrun: Added.
Bashrun provides a powerful application launcher by running a specialized bash session in a small terminal window. Thanks to Mikko Varri.
Diffstat (limited to 'desktop/bashrun')
-rw-r--r--desktop/bashrun/README12
-rw-r--r--desktop/bashrun/bashrun.SlackBuild50
-rw-r--r--desktop/bashrun/bashrun.info10
-rw-r--r--desktop/bashrun/slack-desc19
4 files changed, 91 insertions, 0 deletions
diff --git a/desktop/bashrun/README b/desktop/bashrun/README
new file mode 100644
index 0000000000..cf9eeeac50
--- /dev/null
+++ b/desktop/bashrun/README
@@ -0,0 +1,12 @@
+bashrun (X11 application launcher based on bash)
+
+Bashrun provides a powerful application launcher by running a
+specialized bash session in a small terminal window, conveniently
+providing bash features like tab-completion and history. Additional
+features include user configurable rules for automatically launching
+certain commands in a new terminal window, looking up manual and
+info pages, performing dict and google queries, defining bookmarks
+for webpages or piping command output to the clipboard.
+
+NOTE: This uses xdotool if it is installed. Also, zenity or kdialog
+is used if installed (will fall back to xmessage otherwise).
diff --git a/desktop/bashrun/bashrun.SlackBuild b/desktop/bashrun/bashrun.SlackBuild
new file mode 100644
index 0000000000..c9e84e2f9e
--- /dev/null
+++ b/desktop/bashrun/bashrun.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Slackware build script for bashrun
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=bashrun
+VERSION=${VERSION:-0.15}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+bash ./install.sh --prefix=$PKG/usr
+
+mv $PKG/usr/share/man $PKG/usr/man
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/bashrun/bashrun.info b/desktop/bashrun/bashrun.info
new file mode 100644
index 0000000000..ea7c5c2d1a
--- /dev/null
+++ b/desktop/bashrun/bashrun.info
@@ -0,0 +1,10 @@
+PRGNAM="bashrun"
+VERSION="0.15"
+HOMEPAGE="http://bashrun.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/bashrun/bashrun-0.15.tar.gz"
+MD5SUM="3a64d1b20b2f6b9a52a2ad314604a7bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="Erik Hanson"
diff --git a/desktop/bashrun/slack-desc b/desktop/bashrun/slack-desc
new file mode 100644
index 0000000000..e2a6f62748
--- /dev/null
+++ b/desktop/bashrun/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bashrun: bashrun (X11 application launcher based on bash)
+bashrun:
+bashrun: Bashrun provides a powerful application launcher by running a
+bashrun: specialized bash session in a small terminal window, conveniently
+bashrun: providing bash features like tab-completion and history. Additional
+bashrun: features include user configurable rules for automatically launching
+bashrun: certain commands in a new terminal window, looking up manual and
+bashrun: info pages, performing dict and google queries, defining bookmarks
+bashrun: for webpages or piping command output to the clipboard.
+bashrun:
+bashrun: http://bashrun.sourceforge.net/